-- adsl-protest.ch - Datenbank-Initscript

-- Readonly-Daten
-- Abstimmungsthemen
CREATE TABLE dbadslp_thema (
  id            INTEGER NOT NULL AUTO_INCREMENT,
  ftext         VARCHAR(200) NOT NULL,
  kurztext      VARCHAR(60) NOT NULL,
  reihenfolge   INTEGER NOT NULL,
  erzeugtzs     DATETIME NOT NULL,
  PRIMARY KEY(id)
);

-- Durch Script entstehende Daten
-- Adressen (eigentliche Unterschriften selber)
CREATE TABLE dbadslp_adresse (
  id            INTEGER NOT NULL AUTO_INCREMENT,
  email         VARCHAR(30) NOT NULL,
  geschlecht    ENUM("m", "w") NULL,
  name          VARCHAR(25) NULL,
  vorname       VARCHAR(25) NULL,
  adresse       VARCHAR(40) NULL,
  plz           VARCHAR(5) NULL,
  ort           VARCHAR(30) NULL,
  gebdat        DATE NULL,
  bemerk_pub    VARCHAR(200) NULL,
  bemerk_priv   VARCHAR(200) NULL,
  gepr_pwd      VARCHAR(10) NULL,
  erzeugtzs     DATETIME NOT NULL,
  erzeugtip     VARCHAR(16) NOT NULL,
  browser       VARCHAR(80) NULL,
  mutiertzs     DATETIME NOT NULL,
  mutiertip     VARCHAR(16) NOT NULL,
  PRIMARY KEY(id)
);

CREATE TABLE dbadslp_stimme (
  id            INTEGER NOT NULL AUTO_INCREMENT,
  adresse_id    INTEGER NOT NULL,
  thema_id      INTEGER NOT NULL,
  erzeugtzs     DATETIME NOT NULL,
  erzeugtip     VARCHAR(16) NOT NULL,
  PRIMARY KEY(id),
  FOREIGN KEY(adresse_id) REFERENCES dbadslp_adresse(id),
  FOREIGN KEY(thema_id) REFERENCES dbadslp_thema(id)
);

-- Berechtigungen, die das PHP-Script im WWW-Server bentigt
GRANT SELECT ON dbadslp_thema TO "dreael.catty.ch"@"localhost";
GRANT SELECT, INSERT, UPDATE ON dbadslp_adresse TO
"dreael.catty.ch"@"localhost";
GRANT SELECT, INSERT, DELETE ON dbadslp_stimme TO "dreael.catty.ch"@"localhost";
